#include "parse.h"
#include "playlist.h"
#include "params.h"

xdata struct id3_tag_struct {
	xdata char id3[4];
	xdata char title[31];
	xdata char artist[31];
	xdata char album[31];
	xdata char year[5];
	xdata char comment[31];
	unsigned char genre_code;
	unsigned char track_number;
};

typedef enum {
    FILENAME,
    PLAYLISTNAME
} scrollingtext_t;

extern struct id3_tag_struct id3_tag;

void lcd_setup(void);
void lcd_user_action(event_t event);
void lcd_set_name(simm_id filename, scrollingtext_t type);
void lcd_change(param_t parm);
void lcd_change_menu(unsigned char action);
void lcd_display_id3_init(void);
void lcd_display_id3_struct(void);
void lcd_display_id3_none(void);
void lcd_screen_dynamic(const unsigned char refresh);
void lcd_update_backlight_timer(void);
void lcd_set_scroll_speed(void);
#pragma CALLEE-SAVES lcd_print_char,lcd_print_string,lcd_print_string_width
void lcd_print_char(char c);
void lcd_print_string(xdata char *str);
void lcd_print_string_width(xdata char *str, unsigned char width);

unsigned int get_elapsed_seconds(void);

#define LCD_UPDATE_INTERVAL 5

